#
# spec file for package python-l20n
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-l20n
Version:        4.0.0a1
Release:        2.7
Summary:        Python L20n library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/l20n/python-l20n
Source:         https://github.com/l20n/python-l20n/archive/%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
L20n mozilla markings for translations.

Better solution today is to use python fluent module.

%prep
%setup -q

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Oct 21 2022 pgajdos@suse.com
- python-six is not required, test suite is not being run
* Thu Jan 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by translate-toolkit
